Bug 890804

Summary: Email reminder about outstanding requests
Product: [Community] Bugzilla Reporter: Matěj Cepl <mcepl>
Component: Email NotificationsAssignee: Matt Tyson <mtyson>
Status: CLOSED CURRENTRELEASE QA Contact: tools-bugs <tools-bugs>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 4.2CC: awilliam, dmach, jingwang, jspaleta, mtyson
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 4.4-3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-20 07:06:15 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Matěj Cepl 2012-12-30 04:30:05 EST
Description of problem:
I am aware of bug 137032 and bug 637089 of which this bug is possibly a (semi-?)duplicate, but a lot of time passed since these bugs were closed, and I think it is time to revisit the idea again.

I’ve got today an email from bugzilla.mozilla.org with this:

-------------------------------------------------------
Subject: [Bugzilla] Your Outstanding Requests

The following is a list of requests people have made of you, which have been outstanding more than 7 days. To avoid disappointing others, please deal with them as quickly as possible. ([link]Here is some guidance on handling requests.[/link])
needinfo

    [link]Bug 758895: crash in libxul.so@0xe41046 (12 days old)[/link]

[link]See all your outstanding requests[/link].
-------------------------------------------------------

The first links leads to some wiki page, then each bug has its own link, and the last link is to https://bugzilla.mozilla.org/request.cgi?action=queue&requestee=mcepl%40redhat.com&group=type

Couldn't this functionality be taken from BMO (either it is some standard plugin which just need to be switched on, or I guess BMO modifications should be available somewhere as well) and used in RH Bugzilla?

I remember that expired needinfo requests were always biggest pain and we didn't do a good job with *gently* reminding requestees about their outstanding requests.

Also (concerning whines workaround mentioned in bug 637089), this should be something which should work for non-geeky users of Bugzilla. Those who can set up whines for themselves, are probably not those who would forget about thier outstanding requests (although I have to admit I am sometimes guilty of this myself as well).

Version-Release number of selected component (if applicable):
4.2.4-7 as of 2012-12-30

How reproducible:
100%

Steps to Reproduce:
1.this is a feature request
2.
3.
Comment 1 Simon Green 2013-01-24 17:33:35 EST
extensions/RequestWhiner/ is the upstream code. Should be easy enough to yank it, and use it ourselves.
Comment 3 Matt Tyson 2013-02-05 23:54:58 EST
I've added in the BMO whine requests extension.

It will run once per week and notify users of any outstanding requests.

I expect there will be a number of old defunct requests in the database.  It will be up to users to either cancel or answer these requests as appropriate.
Comment 4 Simon Green 2013-02-10 17:54:48 EST
Just a note that we will be honouring your e-mail preference when sending this e-mail (i.e. if you have not requested HTML e-mails, you will get a plain text version). This differs from BMO, but Matt has submitted a patch